//////////////////////////////////////////////////////////////////////////////
//
//  Module : TestPW.prg
//
////////////////////////////////////////////////////////////////////////////


#include  "dcdialog.ch"
#include  "xbp.ch"
#include  "gra.ch"
#include  "dcmsg.ch"
#include  "appevent.ch"
#include  "std.ch"
#include  "common.ch"
#include  "topdown.ch"



FUNCTION Main()
local ;
  nPWlevel := 2 ;
 ,cMessage := "Enter the Manager Password"

Password( cMessage, nPWlevel)

RETURN NIL   ///////////////////////////////////////////////////////////////



STATIC FUNCTION PASSWORD(cMessage,nPWlevel)   /////////////////////////////////////
//  Level 3=Master, 2=Manager, 1=Bookkeeper, 0=Office
//  Send the procedure name that calls it as "FromProc", scans the dbf
//    to see if the level has been changed and the new level is in file.
//  If lFromPath2, sets path to PBpath() and resets to PBpath2() on exit
//  EX: Password(3,"checking","Open The Check Book")


LOCAL  i, nSelect, cPassWord, cPwLevel, lPwOK, lYes, nHt, nWd ;
     , nSayRow, oPW, oMsg, getlist:={}
      




// enter and verify password ------------------------

DO CASE
CASE nPwLevel  = 2
   cPwLevel := "MANAGER"
CASE nPwLevel  = 1
   cPwLevel := "BOOKKEEPER"
CASE nPwLevel  = 0
   cPwLevel := "OFFICE"
OTHERWISE                      // nPwLevel=3
   cPwLevel := "MASTER"
ENDCASE


nHt := 2
nWd := MAX(40,(LEN(cMessage)*.8)+6)
nSayRow := IF(EMPTY(cMessage),1, 3)



DO WHILE .T.

   cPassword := SPACE(5)

   IF !EMPTY(cMessage)
      @ 0,0 DCSTATIC TYPE XBPSTATIC_TYPE_RECESSEDBOX ;
         SIZE nWd,nHt ;
         OBJECT oMsg

         IF VALTYPE(cMessage)=="C"
            @ .5,1 DCSAY cMessage PARENT oMsg
         ELSE
            FOR i:=1 TO LEN(cMessage)
               @ i-.5,1 DCSAY cMessage[i]  PARENT oMsg
            NEXT
         ENDIF

         @ nHt+1,0 DCSTATIC TYPE XBPSTATIC_TYPE_RECESSEDBOX ;
            SIZE nWd,3 ;
            OBJECT oPW

         @ 1,1 DCSAY "Enter " + cPwLevel + " Password"  ;
            GET cPassword ;
            PASSWORD ;
            NOCONFIRM ;
            SAYTOOLTIP "enter 'reset' to change" ;
            GETTOOLTIP "enter 'reset' to change" ;
            PARENT oPW

   ELSE

      @ 0,0 DCSTATIC TYPE XBPSTATIC_TYPE_RECESSEDBOX ;
         SIZE 40,3 ;
         OBJECT oPW

      @ 1,1 DCSAY "Enter " + cPwLevel + " Password"  ;
         GET cPassword  ;
         PASSWORD ;
         NOCONFIRM ;
         SAYTOOLTIP "enter 'reset' to change" ;
         GETTOOLTIP "enter 'reset' to change" ;
         PARENT oPw

   ENDIF


   DCREAD GUI ;
      TITLE "Password" ;
      ADDBUTTONS ;
      ENTEREXIT ;
      MODAL ;
      EVAL {|o| SetAppWindow(o)} ;
      SETAPPWINDOW ;
      FIT

ENDDO

RETURN NIL   ///////////////////////////////////////////////////////////

